/*
 * 쐬: 2000/03/23
 */
import java.io.*;
import java.util.*;

/**
 * OsIf.java (Rel.0.2)
 *	Execute OS command and get standard output
 *
 * @author S.Terada
 */
public class OsIf {

	Vector vecOsOutput;

    /**
     * Store InputStream into String in Vector
     */
	private Vector StreamToVector(InputStream is) throws Exception {
	  Vector tb = new Vector();
	  BufferedReader br = new BufferedReader(new InputStreamReader(is));
	  String s;
	  while ((s = br.readLine()) != null) {
		tb.add(s);
	  }
	  return tb;
	}

	/**
	 * Execute Command and get Standard Output
	 */
	public void exec (String[] sCmd) throws Exception {
	  //System.out.println("Exec:"+sCmd);
	  Runtime	rt = Runtime.getRuntime();
	  Process	pr = rt.exec(sCmd);
	  InputStream is = pr.getInputStream();
	  vecOsOutput = StreamToVector(is);
	  try {
		pr.waitFor();
	  }
	  catch (Exception ex) {
		System.out.println("interrupted!!!");
		throw ex;
	  }
	}

    /**
     * for Debugging
     */
	public void debugPrint() {
	  for(int i = 0; i < vecOsOutput.size(); i++ ) {
		String s = (String)vecOsOutput.elementAt(i);
		System.out.println(i + "\t" + s);
	  }
	}

	/**
	 * main() to try me
	 */
	public static void main(String argv[]) {
	  OsIf o = new OsIf();
	  try {
		//String[] ss = new String[4];
        //ss[0] = new String("namazu");
        //ss[1] = new String("-l");
        //ss[2] = new String("-a");
        //ss[3] = new String("oracle and index");
        //o.exec(ss);
		o.exec(argv);
		o.debugPrint();
		System.exit(0);
	  }
	  catch (Exception ex) {
		System.exit(1);
	  }
	}

}
